[Qa-jenkins-scm] [jenkins.debian.net] 01/01: remove hosts/*/usr/lib/puilder/*: now that #608636 and #807487 are fixed in pbuilder 0.219~bpo8+2 we don't need to carry the fix ourselves anymore

Holger Levsen holger at moszumanska.debian.org
Thu Dec 10 09:22:44 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit a1ff1f392328f80356983438e3641cc86f63e72c
Author: Mattia Rizzolo <mattia at debian.org>
Date:   Thu Dec 10 09:20:04 2015 +0000

    remove hosts/*/usr/lib/puilder/*: now that #608636 and #807487 are fixed in pbuilder 0.219~bpo8+2 we don't need to carry the fix ourselves anymore
---
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../usr/lib/pbuilder/pbuilder-createbuildenv       | 147 ---------------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../usr/lib/pbuilder/pbuilder-createbuildenv       | 147 ---------------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 .../lib/pbuilder/pbuilder-satisfydepends-aptitude  | 103 ---------------
 17 files changed, 1839 deletions(-)

diff --git a/hosts/bpi0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/bpi0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/bpi0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/cbxi4pro0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/cbxi4pro0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/cbxi4pro0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/freebsd-jenkins/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/freebsd-jenkins/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/freebsd-jenkins/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/hb0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/hb0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/hb0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/jenkins/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/jenkins/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/jenkins/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/odxu4-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/odxu4-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/odxu4-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/profitbricks-build1-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/profitbricks-build1-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/profitbricks-build1-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/profitbricks-build2-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/profitbricks-build2-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/profitbricks-build2-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/profitbricks-build3-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/profitbricks-build3-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/profitbricks-build3-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/profitbricks-build4-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/profitbricks-build4-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/profitbricks-build4-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/profitbricks-build5-amd64/usr/lib/pbuilder/pbuilder-createbuildenv b/hosts/profitbricks-build5-amd64/usr/lib/pbuilder/pbuilder-createbuildenv
deleted file mode 100755
index 53b6ea8..0000000
--- a/hosts/profitbricks-build5-amd64/usr/lib/pbuilder/pbuilder-createbuildenv
+++ /dev/null
@@ -1,147 +0,0 @@
-#! /bin/bash
-# Creating the build environment with debootstrap.
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001-2003,2005-2007 Junichi Uekawa
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-
-
-set -e 
-
-. /usr/lib/pbuilder/pbuilder-checkparams
-. /usr/lib/pbuilder/pbuilder-runhooks
-
-if [ -z "$DISTRIBUTION" ]; then
-    DISTRIBUTION=sid
-fi
-log "I: Distribution is $DISTRIBUTION."
-
-if [ "${PBUILDER_DEBUGMODE}" = "yes" ]; then
-    TRAP="echo ignoring trap "
-else
-    TRAP=trap
-fi
-
-# show the current time before doing anything.
-echobacktime
-
-# first clean it.
-cleanbuildplace
-
-log "I: Building the build environment"
-mkdir -p "$BUILDPLACE"
-if [ ! -d "$BUILDPLACE" ]; then
-    log "E: Could not make directory [$BUILDPLACE]"
-    exit 1
-fi
-
-$TRAP cleanbuildplace exit
-
-log "I: running $DEBOOTSTRAP"
-unset DEBOOTSTRAPSCRIPT
-if [ -n "$HOOKDIR" ]; then
-    if [ -f "$HOOKDIR/$DISTRIBUTION" ]; then
-	DEBOOTSTRAPSCRIPT=$(readlink -f "$HOOKDIR")"/$DISTRIBUTION"
-	log "I: Applying user distribution dist build script $DEBOOTSTRAPSCRIPT"
-    fi
-fi
-
-if which "${DEBOOTSTRAP}"; then
-    : # debootstrap exists
-else
-    log "E: ${DEBOOTSTRAP} does not exist, install or change DEBOOTSTRAP option"
-    exit 1
-fi
-
-# FIXME if the end-user passes another --include= to debootstrap in
-# DEBOOTSTRAPOPTS, it will override the --include=apt one and apt might not be
-# installed
-if ! ( "${DEBOOTSTRAP}" \
-    ${ARCHITECTURE:+--arch=$ARCHITECTURE} \
-    --include=apt \
-    "${DEBOOTSTRAPOPTS[@]}" \
-    "$DISTRIBUTION" \
-    "$BUILDPLACE" \
-    "$MIRRORSITE" \
-    $DEBOOTSTRAPSCRIPT ) ; then
-    log "E: $DEBOOTSTRAP failed"
-    exit 1
-fi
-
-log "I: debootstrap finished"
-loadhooks
-
-
-mkdir -p "${BUILDPLACE}$BUILDDIR"
-
-copy_local_configuration
-installaptlines
-add_additional_aptkeyrings
-executehooks "G"
-
-log "I: Refreshing the base.tgz "
-log "I: upgrading packages"
-mountproc
-$TRAP umountproc_cleanbuildplace_trap exit sighup
-$CHROOTEXEC /usr/bin/apt-get -q "${APTGETOPT[@]}" update
-
-case "$(readlink -e "$PBUILDERSATISFYDEPENDSCMD")" in
-  *-aptitude)
-    EXTRAPACKAGES="$EXTRAPACKAGES aptitude"
-  ;;
-  *)
-    EXTRAPACKAGES="$EXTRAPACKAGES aptitude-"
-  ;;
-esac
-
-if [ -n "$CCACHEDIR" ]; then
-    EXTRAPACKAGES="$EXTRAPACKAGES ccache"
-else
-    EXTRAPACKAGES="$EXTRAPACKAGES ccache-"
-fi
-
-if [ -n "$REMOVEPACKAGES" ]; then
-    # FIXME this wont work if the packages have some reverse dependencies;
-    # apt-get can also remove package, either with apt-get remove or purge, or
-    # with apt-get install name-of-pkg- (i.e. a minus sign after the package
-    # name)
-    $CHROOTEXEC /usr/bin/dpkg --purge $REMOVEPACKAGES
-fi
-recover_aptcache
-$CHROOTEXEC /usr/bin/apt-get -q -y "${APTGETOPT[@]}" "${FORCE_CONFNEW[@]}" dist-upgrade
-$CHROOTEXEC /usr/bin/apt-get -q -y "${APTGETOPT[@]}" install \
-    build-essential \
-    dpkg-dev \
-    $EXTRAPACKAGES
-save_aptcache
-
-executehooks "E"
-unloadhooks
-umountproc
-$CHROOTEXEC /usr/bin/apt-get clean || true
-$TRAP cleanbuildplace_trap exit sighup
-
-# Internal_build_uml is set when --no-targz is set, this code is actually never called from pbuilder-user-mode-linux
-if [ ! "${INTERNAL_BUILD_UML}" = "yes" ]; then
-    create_basetgz
-fi
-if [ "${PRESERVE_BUILDPLACE}" = "yes" ]; then
-    :
-else
-    :
-    cleanbuildplace
-fi
-trap - exit sighup
-exit 0
diff --git a/hosts/profitbricks-build5-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/profitbricks-build5-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/profitbricks-build5-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/profitbricks-build6-amd64/usr/lib/pbuilder/pbuilder-createbuildenv b/hosts/profitbricks-build6-amd64/usr/lib/pbuilder/pbuilder-createbuildenv
deleted file mode 100755
index 53b6ea8..0000000
--- a/hosts/profitbricks-build6-amd64/usr/lib/pbuilder/pbuilder-createbuildenv
+++ /dev/null
@@ -1,147 +0,0 @@
-#! /bin/bash
-# Creating the build environment with debootstrap.
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001-2003,2005-2007 Junichi Uekawa
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-
-
-set -e 
-
-. /usr/lib/pbuilder/pbuilder-checkparams
-. /usr/lib/pbuilder/pbuilder-runhooks
-
-if [ -z "$DISTRIBUTION" ]; then
-    DISTRIBUTION=sid
-fi
-log "I: Distribution is $DISTRIBUTION."
-
-if [ "${PBUILDER_DEBUGMODE}" = "yes" ]; then
-    TRAP="echo ignoring trap "
-else
-    TRAP=trap
-fi
-
-# show the current time before doing anything.
-echobacktime
-
-# first clean it.
-cleanbuildplace
-
-log "I: Building the build environment"
-mkdir -p "$BUILDPLACE"
-if [ ! -d "$BUILDPLACE" ]; then
-    log "E: Could not make directory [$BUILDPLACE]"
-    exit 1
-fi
-
-$TRAP cleanbuildplace exit
-
-log "I: running $DEBOOTSTRAP"
-unset DEBOOTSTRAPSCRIPT
-if [ -n "$HOOKDIR" ]; then
-    if [ -f "$HOOKDIR/$DISTRIBUTION" ]; then
-	DEBOOTSTRAPSCRIPT=$(readlink -f "$HOOKDIR")"/$DISTRIBUTION"
-	log "I: Applying user distribution dist build script $DEBOOTSTRAPSCRIPT"
-    fi
-fi
-
-if which "${DEBOOTSTRAP}"; then
-    : # debootstrap exists
-else
-    log "E: ${DEBOOTSTRAP} does not exist, install or change DEBOOTSTRAP option"
-    exit 1
-fi
-
-# FIXME if the end-user passes another --include= to debootstrap in
-# DEBOOTSTRAPOPTS, it will override the --include=apt one and apt might not be
-# installed
-if ! ( "${DEBOOTSTRAP}" \
-    ${ARCHITECTURE:+--arch=$ARCHITECTURE} \
-    --include=apt \
-    "${DEBOOTSTRAPOPTS[@]}" \
-    "$DISTRIBUTION" \
-    "$BUILDPLACE" \
-    "$MIRRORSITE" \
-    $DEBOOTSTRAPSCRIPT ) ; then
-    log "E: $DEBOOTSTRAP failed"
-    exit 1
-fi
-
-log "I: debootstrap finished"
-loadhooks
-
-
-mkdir -p "${BUILDPLACE}$BUILDDIR"
-
-copy_local_configuration
-installaptlines
-add_additional_aptkeyrings
-executehooks "G"
-
-log "I: Refreshing the base.tgz "
-log "I: upgrading packages"
-mountproc
-$TRAP umountproc_cleanbuildplace_trap exit sighup
-$CHROOTEXEC /usr/bin/apt-get -q "${APTGETOPT[@]}" update
-
-case "$(readlink -e "$PBUILDERSATISFYDEPENDSCMD")" in
-  *-aptitude)
-    EXTRAPACKAGES="$EXTRAPACKAGES aptitude"
-  ;;
-  *)
-    EXTRAPACKAGES="$EXTRAPACKAGES aptitude-"
-  ;;
-esac
-
-if [ -n "$CCACHEDIR" ]; then
-    EXTRAPACKAGES="$EXTRAPACKAGES ccache"
-else
-    EXTRAPACKAGES="$EXTRAPACKAGES ccache-"
-fi
-
-if [ -n "$REMOVEPACKAGES" ]; then
-    # FIXME this wont work if the packages have some reverse dependencies;
-    # apt-get can also remove package, either with apt-get remove or purge, or
-    # with apt-get install name-of-pkg- (i.e. a minus sign after the package
-    # name)
-    $CHROOTEXEC /usr/bin/dpkg --purge $REMOVEPACKAGES
-fi
-recover_aptcache
-$CHROOTEXEC /usr/bin/apt-get -q -y "${APTGETOPT[@]}" "${FORCE_CONFNEW[@]}" dist-upgrade
-$CHROOTEXEC /usr/bin/apt-get -q -y "${APTGETOPT[@]}" install \
-    build-essential \
-    dpkg-dev \
-    $EXTRAPACKAGES
-save_aptcache
-
-executehooks "E"
-unloadhooks
-umountproc
-$CHROOTEXEC /usr/bin/apt-get clean || true
-$TRAP cleanbuildplace_trap exit sighup
-
-# Internal_build_uml is set when --no-targz is set, this code is actually never called from pbuilder-user-mode-linux
-if [ ! "${INTERNAL_BUILD_UML}" = "yes" ]; then
-    create_basetgz
-fi
-if [ "${PRESERVE_BUILDPLACE}" = "yes" ]; then
-    :
-else
-    :
-    cleanbuildplace
-fi
-trap - exit sighup
-exit 0
diff --git a/hosts/profitbricks-build6-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/profitbricks-build6-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/profitbricks-build6-amd64/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/rpi2b-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/rpi2b-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/rpi2b-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/wbd0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/wbd0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/wbd0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-
diff --git a/hosts/wbq0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude b/hosts/wbq0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
deleted file mode 100755
index 0d039a6..0000000
--- a/hosts/wbq0-armhf-rb/usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
+++ /dev/null
@@ -1,103 +0,0 @@
-#!/bin/bash
-#   pbuilder -- personal Debian package builder
-#   Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
-#   Copyright (C) 2007 Loïc Minier
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-#
-# module to satisfy build dependencies; aptitude flavor
-
-set -e
-
-export PBUILDER_PKGLIBDIR="${PBUILDER_PKGLIBDIR:-$PBUILDER_ROOT/usr/lib/pbuilder}"
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-funcs
-
-function checkbuilddep_internal () {
-# Use this function to fulfill the dependency (almost)
-    local ARCH=$($CHROOTEXEC dpkg-architecture -qDEB_HOST_ARCH)
-    local BUILD_DEP_DEB_DIR
-    local BUILD_DEP_DEB_CONTROL
-    local DEPENDS
-    local CONFLICTS
-    echo " -> Attempting to satisfy build-dependencies"
-    DEPENDS="$(get_build_deps | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    CONFLICTS="$(get_build_conflicts | filter_arch_deps "$ARCH" |
-        filter_restriction_deps "$DEB_BUILD_PROFILES" )"
-    echo " -> Creating pbuilder-satisfydepends-dummy package"
-    BUILD_DEP_DEB_DIR="/tmp/satisfydepends-aptitude"
-    BUILD_DEP_DEB_CONTROL="$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/control"
-    $CHROOTEXEC mkdir -p "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy/DEBIAN/"
-    $CHROOTEXEC sh -c "cat >\"$BUILD_DEP_DEB_CONTROL\"" <<EOF
-Package: pbuilder-satisfydepends-dummy
-Version: 0.invalid.0
-Architecture: $ARCH
-Maintainer: Debian Pbuilder Team <pbuilder-maint at lists.alioth.debian.org>
-Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
- This package was created automatically by pbuilder to satisfy the
- build-dependencies of the package being currently built.
-EOF
-    if [ -n "$DEPENDS" ]; then
-        $CHROOTEXEC sh -c "echo \"Depends: $DEPENDS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    if [ -n "$CONFLICTS" ]; then
-        $CHROOTEXEC sh -c "echo \"Conflicts: $CONFLICTS\" >>\"$BUILD_DEP_DEB_CONTROL\""
-    fi
-    $CHROOTEXEC sh -c "cat \"$BUILD_DEP_DEB_CONTROL\""
-    $CHROOTEXEC sh -c "dpkg-deb -b \"$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy\""
-    $CHROOTEXEC dpkg \
-	--force-depends \
-	--force-conflicts \
-	-i "$BUILD_DEP_DEB_DIR/pbuilder-satisfydepends-dummy.deb" || true
-    $CHROOTEXEC env XDG_CACHE_HOME=/root aptitude \
-	-y \
-	--without-recommends -o APT::Install-Recommends=false \
-	"${APTITUDEOPT[@]}" \
-	-o Aptitude::ProblemResolver::StepScore=100 \
-	-o "Aptitude::ProblemResolver::Hints::KeepDummy=reject pbuilder-satisfydepends-dummy :UNINST" \
-	-o Aptitude::ProblemResolver::Keep-All-Level=55000 \
-	-o Aptitude::ProblemResolver::Remove-Essential-Level=maximum \
-	install \
-	pbuilder-satisfydepends-dummy
-    # check whether the aptitude's resolver kept the package
-    if ! $CHROOTEXEC dpkg -l pbuilder-satisfydepends-dummy 2>/dev/null | grep -q ^ii; then
-        echo "Aptitude couldn't satisfy the build dependencies"
-        exit 1
-    fi
-    echo " -> Finished parsing the build-deps"
-}
-
-
-function print_help () {
-    # print out help message
-    cat <<EOF
-pbuilder-satisfydepends -- satisfy dependencies
-Copyright 2002-2007  Junichi Uekawa <dancer at debian.org>
-
---help:        give help
---control:     specify control file (debian/control, *.dsc)
---chroot:      operate inside chroot
---binary-all:  include binary-all
---binary-arch: include binary-arch only
---echo:        echo mode, do nothing. (--force-version required for most operation)
---force-version: skip version check.
---continue-fail: continue even when failed.
-
-EOF
-}
-
-. "$PBUILDER_PKGLIBDIR"/pbuilder-satisfydepends-checkparams
-

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list